#! /bin/bash

set -xeu

npm install
npm run subscriptions
npm run rules
npm run build

rm -rf testpages.adblockplus.org
git clone https://gitlab.com/eyeo/developer-experience/testpages.adblockplus.org

BROWSER="${browser:-chromium}"
if [ "$BROWSER" == "firefox" ]; then
  pushd ./bundles/firefox
else
  pushd ./bundles/chrome
fi
zip -R ../../testpages.adblockplus.org/extension.zip '*'
popd

pushd ./testpages.adblockplus.org
docker build -t compliance --build-arg EXTENSION_FILE="extension.zip" .

SKIP="((?!Subscriptions|Snippets|Sitekey|Header).)"
TERMINAL="${TERMINAL:-it}"
TESTS_TO_INCLUDE="${TESTS_TO_INCLUDE:-}"
VERSION="${version:-latest}"
docker run --cpus=2 --memory=8g --shm-size=2g \
  -e SKIP_EXTENSION_DOWNLOAD="true" -e CUSTOM_BROWSER=$BROWSER \
  -e BROWSER_VERSION="$VERSION" -e GREP="^.*$BROWSER$SKIP*\$" \
  -e TESTS_TO_INCLUDE="$TESTS_TO_INCLUDE" compliance
